<?php
/**
 * Controller to handling get image data
 *
 * @package wp-image-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPImpr_Ajax_Getimage' ))
{
  class IPImpr_Ajax_Getimage
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $status    = 0;
      $message   = '';
      $attchId   = 0;
      $attchData = array();

      if ( ! empty( $_POST['imageId'] ) )
      {
        $attchId   = absint( $_POST['imageId'] );
        $attchData = wp_prepare_attachment_for_js( $attchId );
        $status    = 1;
      }

      echo json_encode( array(
        'status'    => $status,
        'message'   => $message,
        'id'        => $attchId,
        'data'      => $attchData
      ) );
      die();
    }

  }
}
